/**
 * Create an AWS service client
 * @param cls the class to use to create the client
 * @returns the created client including proxy settings
 */
export declare function createAwsClient<T extends {
    new (...args: any[]): InstanceType<T>;
}>(cls: T): InstanceType<T>;
